package com.tofly.xrtymis.custom.em;

/**
 * @ClassName:EDatePartern
 * @Description:时间格式枚举类
 * @author: yangfang
 * @date: 2017/1/6 14:49
 */
public enum EDatePartern {
	YYYYMMDD("yyyyMMdd", "年月日"),
	YYYY_MM_DD("yyyy-MM-dd","年-月-日"),
	YYYYMMDDHHMMSS("yyyy-MM-dd HH:mm:ss","年-月-日 时:分:秒"),
	ISODATE("yyyy-MM-dd'T'HH:mm:ss.SSS'Z'","年-月-日 时:分:秒.毫秒"),
	YYYY("yyyy", "年"),
	MM("MM", "月"),
	DD("dd", "日"),
	HH("HH", "小时"),
	YYYY_MM("yyyy-MM", "年-月"),
	HHMM("HHmm", "时分"),

	HH_MM("HH:mm", "时分"),
	YYYY_MM_DD_REPORT("yyyy.MM.dd","年.月.日"),
	YYYYMMDDhhmmssnnn("YYYYMMDDhhmmssnnn","年月日时分秒毫秒"),
	yyyyMMddHHmmssSSS("yyyyMMddHHmmssSSS","年月日时分秒毫秒"),
	YYYY_MM_DD_("yyyy_MM_dd","年_月_日"),
	HH_MM_SS("HH:mm:ss", "时:分:秒"),
	MM_DD("MM-dd", "月-日"),
	;

	private String key;
	private String value;

	EDatePartern(String key, String value) {
		this.key = key;
		this.value = value;
	}

	public String getKey() {
		return key;
	}

	public void setKey(String key) {
		this.key = key;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}
}
